Subject: RE: on the point of mobility & multihoming

From: <[email-masked]>
Date: Thu, 4 Mar 2004 07:38:20 +0200

Hi all,

> > You take your laptop to the park.  Nearby is a very strong, high-speed
> > link at a coffee shop.  Some distance away is a much weaker/slower
> > link.
> > 
> > Traffic driving by disconnects constantly changes your preferred
> > access point.
> > 
> > This is mobile multihoming.
> 
> That is not a type of multihoming M6 should address. Instead,
> it is purely a mobility issue and is useful for smooth handover.
> 
> With mobility, M6 should address multihomed base stations,
> multihomed home agents, and multiple home agents at different
> subnets (MIPv6 does allow for multiple home agents but only
> in a subnet, which is mostly useless), all of which was, in
> my experience, handled automatically.

This is why I pushed back a bit on the topic of mobility.  Seamless
mobility is out of scope for Multi6, IMO. Session stability would be
more a goal, I think.

John

---

From: <[email-masked]>
Date: Thu, 4 Mar 2004 09:45:37 +0200

Hi Jari,

> That could be a starting point.
> 
> I am, however, willing to make it softer if necessary. Say,
> if HIP folks believe they can solve both problems, that should
> also be allowed, assuming HIP is otherwise accepted as the MULTI6
> solution.

From a purely process point of view, that might still not be a good
idea. MIPv6 is a Proposed Standard, and if requirements were loosened
for HIP, you would have a draft (or perhaps an Experimental RFC) which
breaks an existing Proposed Standard.  Such a solution would seem
sub-optimal.

John